#include "graphics.h"
#include "mouse.h"
#include "keyboard.h"
#include <stdio.h>
#include "startPage.h"

startPage startVariables;
gxFont Font;
gxSprite startPageImage;




void InitStartPage()
{
	gxLoadFont( "font.raw", &Font, 648, 12, 2 );
	gxLoadBmp( "startscreen.bmp", &startPageImage, 0 );
	startVariables.levelNumber=1;
}

void UpdateStartPage()
{
	if(!startVariables.start)
	{
		gxDrawSprite(0,0,&startPageImage);
		char text[_MAX_PATH];
		_snprintf(text, sizeof(text), "welcome to level %d", startVariables.levelNumber);
		gxDrawTextScaled(150, 500, text, &Font, gxRGB32(0,0,0), 0, 4);
	}

	if(kbKeyStatus[KB_SPACE] && !kbOldKeyStatus[KB_SPACE])
		startVariables.start = !startVariables.start;
}
